{
  "version": "2.0.0",
  "tasks": [
    {
      "label": "server-build",
      "command": "dotnet",
      "type": "process",
      "args": [
        "build",
        "${workspaceFolder}/src/Server/Server.csproj",
        "-o",
        "${workspaceFolder}/debug/",
      ],
      "problemMatcher": "$msCompile"
    },
    {
      "label": "client-build",
      "command": "ng",
      "type": "process",
      "options": {
        "cwd": "${workspaceFolder}/src/Client"
      },
      "args": [
        "build",
        "--base-href=http://localhost:5000"
      ],
      "problemMatcher": "$msCompile"
    },
    {
      "label": "client-packages",
      "command": "npm",
      "type": "process",
      "options": {
        "cwd": "${workspaceFolder}/src/Client"
      },
      "args": [
        "install"
      ],
      "problemMatcher": "$msCompile"
    },
    {
      "label": "build-all",
      "dependsOn": ["client-packages", "client-build", "server-build" ],
      "dependsOrder": "sequence"
    }
  ]
}